
import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import oracle.jsp.el.*;
import javax.servlet.jsp.el.*;


public class _Table_jspx extends com.orionserver.http.OrionHttpJspPage {


  // ** Begin Declarations


  // ** End Declarations

  public void _jspService(HttpServletRequest request, HttpServletResponse response) throws java.io.IOException, ServletException {

    response.setContentType( "text/html;charset=windows-1252");
    /* set up the intrinsic variables using the pageContext goober:
    ** session = HttpSession
    ** application = ServletContext
    ** out = JspWriter
    ** page = this
    ** config = ServletConfig
    ** all session/app beans declared in globals.jsa
    */
    PageContext pageContext = JspFactory.getDefaultFactory().getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    int __jsp_tag_starteval;
    ServletContext application = pageContext.getServletContext();
    JspWriter out = pageContext.getOut();
    _Table_jspx page = this;
    ServletConfig config = pageContext.getServletConfig();
    javax.servlet.jsp.el.VariableResolver __ojsp_varRes = (VariableResolver)new OracleVariableResolverImpl(pageContext);

    try {


      out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\" >" );
      {
        com.sun.faces.taglib.jsf_core.ViewTag __jsp_taghandler_1=(com.sun.faces.taglib.jsf_core.ViewTag)OracleJspRuntime.getTagHandler(pageContext,com.sun.faces.taglib.jsf_core.ViewTag.class,"com.sun.faces.taglib.jsf_core.ViewTag");
        __jsp_taghandler_1.setParent(null);
        __jsp_tag_starteval=__jsp_taghandler_1.doStartTag();
        if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
        {
          out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_taghandler_1,__jsp_tag_starteval,out);
          do {
            {
              oracle.adfinternal.view.faces.taglib.html.HtmlHtmlTag __jsp_taghandler_2=(oracle.adfinternal.view.faces.taglib.html.HtmlHtmlTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.html.HtmlHtmlTag.class,"oracle.adfinternal.view.faces.taglib.html.HtmlHtmlTag");
              __jsp_taghandler_2.setParent(__jsp_taghandler_1);
              __jsp_tag_starteval=__jsp_taghandler_2.doStartTag();
              if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
              {
                {
                  oracle.adfinternal.view.faces.taglib.html.HtmlHeadTag __jsp_taghandler_3=(oracle.adfinternal.view.faces.taglib.html.HtmlHeadTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.html.HtmlHeadTag.class,"oracle.adfinternal.view.faces.taglib.html.HtmlHeadTag title");
                  __jsp_taghandler_3.setParent(__jsp_taghandler_2);
                  __jsp_taghandler_3.setTitle("Tables");
                  __jsp_tag_starteval=__jsp_taghandler_3.doStartTag();
                  if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                  {
                    out.write( "<meta"+ " http-equiv=\"" + "Content-Type"+ "\"" + " content=\"" + "text/html; charset=windows-1252"+ "\"" +"/>");
                  }
                  if (__jsp_taghandler_3.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                    return;
                  OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_3,3);
                }
                {
                  oracle.adfinternal.view.faces.taglib.html.HtmlBodyTag __jsp_taghandler_4=(oracle.adfinternal.view.faces.taglib.html.HtmlBodyTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.html.HtmlBodyTag.class,"oracle.adfinternal.view.faces.taglib.html.HtmlBodyTag");
                  __jsp_taghandler_4.setParent(__jsp_taghandler_2);
                  __jsp_tag_starteval=__jsp_taghandler_4.doStartTag();
                  if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                  {
                    {
                      oracle.adfinternal.view.faces.taglib.core.CoreFormTag __jsp_taghandler_5=(oracle.adfinternal.view.faces.taglib.core.CoreFormTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.CoreFormTag.class,"oracle.adfinternal.view.faces.taglib.core.CoreFormTag");
                      __jsp_taghandler_5.setParent(__jsp_taghandler_4);
                      __jsp_tag_starteval=__jsp_taghandler_5.doStartTag();
                      if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                      {
                        {
                          oracle.adfinternal.view.faces.taglib.core.layout.CorePanelPageTag __jsp_taghandler_6=(oracle.adfinternal.view.faces.taglib.core.layout.CorePanelPageTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.layout.CorePanelPageTag.class,"oracle.adfinternal.view.faces.taglib.core.layout.CorePanelPageTag title");
                          __jsp_taghandler_6.setParent(__jsp_taghandler_5);
                          __jsp_taghandler_6.setTitle("Edit Customer");
                          __jsp_tag_starteval=__jsp_taghandler_6.doStartTag();
                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                          {
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_7=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_7.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_7.setName("menu1");
                              __jsp_tag_starteval=__jsp_taghandler_7.doStartTag();
                              if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                              {
                                do {
                                  {
                                    oracle.adfinternal.view.faces.taglib.core.nav.CoreMenuTabsTag __jsp_taghandler_8=(oracle.adfinternal.view.faces.taglib.core.nav.CoreMenuTabsTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreMenuTabsTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreMenuTabsTag");
                                    __jsp_taghandler_8.setParent(__jsp_taghandler_7);
                                    __jsp_tag_starteval=__jsp_taghandler_8.doStartTag();
                                    if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                    {
                                      {
                                        oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag __jsp_taghandler_9=(oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag text selected action");
                                        __jsp_taghandler_9.setParent(__jsp_taghandler_8);
                                        __jsp_taghandler_9.setText("Main");
                                        __jsp_taghandler_9.setSelected("false");
                                        __jsp_taghandler_9.setAction("main_page");
                                        __jsp_tag_starteval=__jsp_taghandler_9.doStartTag();
                                        if (__jsp_taghandler_9.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                          return;
                                        OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_9,8);
                                      }
                                      {
                                        oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag __jsp_taghandler_10=(oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag text selected");
                                        __jsp_taghandler_10.setParent(__jsp_taghandler_8);
                                        __jsp_taghandler_10.setText("Table");
                                        __jsp_taghandler_10.setSelected("true");
                                        __jsp_tag_starteval=__jsp_taghandler_10.doStartTag();
                                        if (__jsp_taghandler_10.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                          return;
                                        OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_10,8);
                                      }
                                      {
                                        oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag __jsp_taghandler_11=(oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandMenuItemTag text action");
                                        __jsp_taghandler_11.setParent(__jsp_taghandler_8);
                                        __jsp_taghandler_11.setText("Tree");
                                        __jsp_taghandler_11.setAction("tree_demo");
                                        __jsp_tag_starteval=__jsp_taghandler_11.doStartTag();
                                        if (__jsp_taghandler_11.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                          return;
                                        OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_11,8);
                                      }
                                    }
                                    if (__jsp_taghandler_8.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                      return;
                                    OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_8,7);
                                  }
                                } while (__jsp_taghandler_7.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
                              }
                              if (__jsp_taghandler_7.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_7,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_12=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_12.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_12.setName("menuGlobal");
                              __jsp_tag_starteval=__jsp_taghandler_12.doStartTag();
                              if (__jsp_taghandler_12.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_12,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_13=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_13.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_13.setName("branding");
                              __jsp_tag_starteval=__jsp_taghandler_13.doStartTag();
                              if (__jsp_taghandler_13.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_13,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_14=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_14.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_14.setName("brandingApp");
                              __jsp_tag_starteval=__jsp_taghandler_14.doStartTag();
                              if (__jsp_taghandler_14.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_14,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_15=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_15.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_15.setName("appCopyright");
                              __jsp_tag_starteval=__jsp_taghandler_15.doStartTag();
                              if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                              {
                                do {
                                  {
                                    com.sun.faces.taglib.jsf_core.VerbatimTag __jsp_taghandler_16=(com.sun.faces.taglib.jsf_core.VerbatimTag)OracleJspRuntime.getTagHandler(pageContext,com.sun.faces.taglib.jsf_core.VerbatimTag.class,"com.sun.faces.taglib.jsf_core.VerbatimTag");
                                    __jsp_taghandler_16.setParent(__jsp_taghandler_15);
                                    __jsp_tag_starteval=__jsp_taghandler_16.doStartTag();
                                    if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
                                    {
                                      out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_taghandler_16,__jsp_tag_starteval,out);
                                      do {
                                        out.write( "<p>");
                                        out.write(__oracle_jsp_text[0]);
                                        out.write( "</p>");
                                      } while (__jsp_taghandler_16.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
                                      out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
                                    }
                                    if (__jsp_taghandler_16.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                      return;
                                    OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_16,7);
                                  }
                                } while (__jsp_taghandler_15.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
                              }
                              if (__jsp_taghandler_15.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_15,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_17=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_17.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_17.setName("appPrivacy");
                              __jsp_tag_starteval=__jsp_taghandler_17.doStartTag();
                              if (__jsp_taghandler_17.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_17,6);
                            }
                            {
                              javax.faces.webapp.FacetTag __jsp_taghandler_18=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                              __jsp_taghandler_18.setParent(__jsp_taghandler_6);
                              __jsp_taghandler_18.setName("appAbout");
                              __jsp_tag_starteval=__jsp_taghandler_18.doStartTag();
                              if (__jsp_taghandler_18.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_18,6);
                            }
                            {
                              oracle.adfinternal.view.faces.taglib.core.layout.CoreShowOneTabTag __jsp_taghandler_19=(oracle.adfinternal.view.faces.taglib.core.layout.CoreShowOneTabTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.layout.CoreShowOneTabTag.class,"oracle.adfinternal.view.faces.taglib.core.layout.CoreShowOneTabTag");
                              __jsp_taghandler_19.setParent(__jsp_taghandler_6);
                              __jsp_tag_starteval=__jsp_taghandler_19.doStartTag();
                              if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                              {
                                {
                                  oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag __jsp_taghandler_20=(oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag.class,"oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag text disclosed");
                                  __jsp_taghandler_20.setParent(__jsp_taghandler_19);
                                  __jsp_taghandler_20.setText("Single Row Select");
                                  __jsp_taghandler_20.setDisclosed("true");
                                  __jsp_tag_starteval=__jsp_taghandler_20.doStartTag();
                                  if (__jsp_taghandler_20.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                    return;
                                  OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_20,7);
                                }
                                {
                                  oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag __jsp_taghandler_21=(oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag.class,"oracle.adfinternal.view.faces.taglib.core.layout.CoreShowDetailItemTag text");
                                  __jsp_taghandler_21.setParent(__jsp_taghandler_19);
                                  __jsp_taghandler_21.setText("Multi Row Select");
                                  __jsp_tag_starteval=__jsp_taghandler_21.doStartTag();
                                  if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                  {
                                    {
                                      oracle.adfinternal.view.faces.taglib.core.data.CoreTableTag __jsp_taghandler_22=(oracle.adfinternal.view.faces.taglib.core.data.CoreTableTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreTableTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreTableTag id emptyText banding bandingInterval var value rows binding");
                                      __jsp_taghandler_22.setParent(__jsp_taghandler_21);
                                      __jsp_taghandler_22.setId("table2");
                                      __jsp_taghandler_22.setEmptyText("No items were found");
                                      __jsp_taghandler_22.setBanding("row");
                                      __jsp_taghandler_22.setBandingInterval("1");
                                      __jsp_taghandler_22.setVar("row");
                                      __jsp_taghandler_22.setValue("#{multiselectionhandler.tableModel}");
                                      __jsp_taghandler_22.setRows("5");
                                      __jsp_taghandler_22.setBinding("#{multiselectionhandler.table}");
                                      __jsp_tag_starteval=__jsp_taghandler_22.doStartTag();
                                      if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                      {
                                        {
                                          javax.faces.webapp.FacetTag __jsp_taghandler_23=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                                          __jsp_taghandler_23.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_23.setName("selection");
                                          __jsp_tag_starteval=__jsp_taghandler_23.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            do {
                                              {
                                                oracle.adfinternal.view.faces.taglib.core.data.CoreTableSelectManyTag __jsp_taghandler_24=(oracle.adfinternal.view.faces.taglib.core.data.CoreTableSelectManyTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreTableSelectManyTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreTableSelectManyTag");
                                                __jsp_taghandler_24.setParent(__jsp_taghandler_23);
                                                __jsp_tag_starteval=__jsp_taghandler_24.doStartTag();
                                                if (__jsp_taghandler_24.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                  return;
                                                OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_24,10);
                                              }
                                            } while (__jsp_taghandler_23.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
                                          }
                                          if (__jsp_taghandler_23.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_23,9);
                                        }
                                        {
                                          oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag __jsp_taghandler_25=(oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag formatType headerText sortable sortProperty");
                                          __jsp_taghandler_25.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_25.setFormatType("icon");
                                          __jsp_taghandler_25.setHeaderText("Full Name");
                                          __jsp_taghandler_25.setSortable("true");
                                          __jsp_taghandler_25.setSortProperty("fullName");
                                          __jsp_tag_starteval=__jsp_taghandler_25.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag __jsp_taghandler_26=(oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag value rendered");
                                              __jsp_taghandler_26.setParent(__jsp_taghandler_25);
                                              __jsp_taghandler_26.setValue("#{row.fullName}");
                                              __jsp_taghandler_26.setRendered("#{!row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_26.doStartTag();
                                              if (__jsp_taghandler_26.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_26,10);
                                            }
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag __jsp_taghandler_27=(oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag value rendered");
                                              __jsp_taghandler_27.setParent(__jsp_taghandler_25);
                                              __jsp_taghandler_27.setValue("#{row.fullName}");
                                              __jsp_taghandler_27.setRendered("#{row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_27.doStartTag();
                                              if (__jsp_taghandler_27.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_27,10);
                                            }
                                          }
                                          if (__jsp_taghandler_25.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_25,9);
                                        }
                                        {
                                          oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag __jsp_taghandler_28=(oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag formatType headerText sortable sortProperty");
                                          __jsp_taghandler_28.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_28.setFormatType("icon");
                                          __jsp_taghandler_28.setHeaderText("Address");
                                          __jsp_taghandler_28.setSortable("true");
                                          __jsp_taghandler_28.setSortProperty("address");
                                          __jsp_tag_starteval=__jsp_taghandler_28.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag __jsp_taghandler_29=(oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag value rendered");
                                              __jsp_taghandler_29.setParent(__jsp_taghandler_28);
                                              __jsp_taghandler_29.setValue("#{row.address}");
                                              __jsp_taghandler_29.setRendered("#{!row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_29.doStartTag();
                                              if (__jsp_taghandler_29.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_29,10);
                                            }
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag __jsp_taghandler_30=(oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag value rendered");
                                              __jsp_taghandler_30.setParent(__jsp_taghandler_28);
                                              __jsp_taghandler_30.setValue("#{row.address}");
                                              __jsp_taghandler_30.setRendered("#{row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_30.doStartTag();
                                              if (__jsp_taghandler_30.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_30,10);
                                            }
                                          }
                                          if (__jsp_taghandler_28.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_28,9);
                                        }
                                        {
                                          oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag __jsp_taghandler_31=(oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag formatType headerText sortable sortProperty");
                                          __jsp_taghandler_31.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_31.setFormatType("text");
                                          __jsp_taghandler_31.setHeaderText("Phone");
                                          __jsp_taghandler_31.setSortable("true");
                                          __jsp_taghandler_31.setSortProperty("phone");
                                          __jsp_tag_starteval=__jsp_taghandler_31.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag __jsp_taghandler_32=(oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag value rendered");
                                              __jsp_taghandler_32.setParent(__jsp_taghandler_31);
                                              __jsp_taghandler_32.setValue("#{row.phone}");
                                              __jsp_taghandler_32.setRendered("#{!row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_32.doStartTag();
                                              if (__jsp_taghandler_32.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_32,10);
                                            }
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag __jsp_taghandler_33=(oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag value rendered");
                                              __jsp_taghandler_33.setParent(__jsp_taghandler_31);
                                              __jsp_taghandler_33.setValue("#{row.phone}");
                                              __jsp_taghandler_33.setRendered("#{row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_33.doStartTag();
                                              if (__jsp_taghandler_33.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_33,10);
                                            }
                                          }
                                          if (__jsp_taghandler_31.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_31,9);
                                        }
                                        {
                                          oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag __jsp_taghandler_34=(oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag formatType headerText sortable sortProperty");
                                          __jsp_taghandler_34.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_34.setFormatType("icon");
                                          __jsp_taghandler_34.setHeaderText("Email");
                                          __jsp_taghandler_34.setSortable("true");
                                          __jsp_taghandler_34.setSortProperty("email");
                                          __jsp_tag_starteval=__jsp_taghandler_34.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag __jsp_taghandler_35=(oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag value rendered");
                                              __jsp_taghandler_35.setParent(__jsp_taghandler_34);
                                              __jsp_taghandler_35.setValue("#{row.email}");
                                              __jsp_taghandler_35.setRendered("#{!row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_35.doStartTag();
                                              if (__jsp_taghandler_35.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_35,10);
                                            }
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag __jsp_taghandler_36=(oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag value rendered");
                                              __jsp_taghandler_36.setParent(__jsp_taghandler_34);
                                              __jsp_taghandler_36.setValue("#{row.email}");
                                              __jsp_taghandler_36.setRendered("#{row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_36.doStartTag();
                                              if (__jsp_taghandler_36.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_36,10);
                                            }
                                          }
                                          if (__jsp_taghandler_34.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_34,9);
                                        }
                                        {
                                          oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag __jsp_taghandler_37=(oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag.class,"oracle.adfinternal.view.faces.taglib.core.data.CoreColumnTag formatType headerText sortable sortProperty");
                                          __jsp_taghandler_37.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_37.setFormatType("text");
                                          __jsp_taghandler_37.setHeaderText("Company");
                                          __jsp_taghandler_37.setSortable("true");
                                          __jsp_taghandler_37.setSortProperty("company");
                                          __jsp_tag_starteval=__jsp_taghandler_37.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag __jsp_taghandler_38=(oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.output.CoreOutputTextTag value rendered");
                                              __jsp_taghandler_38.setParent(__jsp_taghandler_37);
                                              __jsp_taghandler_38.setValue("#{row.company}");
                                              __jsp_taghandler_38.setRendered("#{!row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_38.doStartTag();
                                              if (__jsp_taghandler_38.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_38,10);
                                            }
                                            {
                                              oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag __jsp_taghandler_39=(oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag.class,"oracle.adfinternal.view.faces.taglib.core.input.CoreInputTextTag value rendered");
                                              __jsp_taghandler_39.setParent(__jsp_taghandler_37);
                                              __jsp_taghandler_39.setValue("#{row.company}");
                                              __jsp_taghandler_39.setRendered("#{row.selected}");
                                              __jsp_tag_starteval=__jsp_taghandler_39.doStartTag();
                                              if (__jsp_taghandler_39.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                return;
                                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_39,10);
                                            }
                                          }
                                          if (__jsp_taghandler_37.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_37,9);
                                        }
                                        {
                                          javax.faces.webapp.FacetTag __jsp_taghandler_40=(javax.faces.webapp.FacetTag)OracleJspRuntime.getTagHandler(pageContext,javax.faces.webapp.FacetTag.class,"javax.faces.webapp.FacetTag name");
                                          __jsp_taghandler_40.setParent(__jsp_taghandler_22);
                                          __jsp_taghandler_40.setName("actions");
                                          __jsp_tag_starteval=__jsp_taghandler_40.doStartTag();
                                          if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                          {
                                            do {
                                              {
                                                oracle.adfinternal.view.faces.taglib.core.layout.CorePanelButtonBarTag __jsp_taghandler_41=(oracle.adfinternal.view.faces.taglib.core.layout.CorePanelButtonBarTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.layout.CorePanelButtonBarTag.class,"oracle.adfinternal.view.faces.taglib.core.layout.CorePanelButtonBarTag");
                                                __jsp_taghandler_41.setParent(__jsp_taghandler_40);
                                                __jsp_tag_starteval=__jsp_taghandler_41.doStartTag();
                                                if (OracleJspRuntime.checkStartTagEval(__jsp_tag_starteval))
                                                {
                                                  {
                                                    oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag __jsp_taghandler_42=(oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag text actionListener binding");
                                                    __jsp_taghandler_42.setParent(__jsp_taghandler_41);
                                                    __jsp_taghandler_42.setText("Edit");
                                                    __jsp_taghandler_42.setActionListener("#{multiselectionhandler.editSelected}");
                                                    __jsp_taghandler_42.setBinding("#{multiselectionhandler.editButton}");
                                                    __jsp_tag_starteval=__jsp_taghandler_42.doStartTag();
                                                    if (__jsp_taghandler_42.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                      return;
                                                    OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_42,11);
                                                  }
                                                  {
                                                    oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag __jsp_taghandler_43=(oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag)OracleJspRuntime.getTagHandler(pageContext,oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag.class,"oracle.adfinternal.view.faces.taglib.core.nav.CoreCommandButtonTag text actionListener binding");
                                                    __jsp_taghandler_43.setParent(__jsp_taghandler_41);
                                                    __jsp_taghandler_43.setText("Commit");
                                                    __jsp_taghandler_43.setActionListener("#{multiselectionhandler.commitEdited}");
                                                    __jsp_taghandler_43.setBinding("#{multiselectionhandler.commitButton}");
                                                    __jsp_tag_starteval=__jsp_taghandler_43.doStartTag();
                                                    if (__jsp_taghandler_43.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                      return;
                                                    OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_43,11);
                                                  }
                                                }
                                                if (__jsp_taghandler_41.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                                  return;
                                                OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_41,10);
                                              }
                                            } while (__jsp_taghandler_40.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
                                          }
                                          if (__jsp_taghandler_40.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                            return;
                                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_40,9);
                                        }
                                      }
                                      if (__jsp_taghandler_22.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                        return;
                                      OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_22,8);
                                    }
                                  }
                                  if (__jsp_taghandler_21.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                    return;
                                  OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_21,7);
                                }
                              }
                              if (__jsp_taghandler_19.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                                return;
                              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_19,6);
                            }
                          }
                          if (__jsp_taghandler_6.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                            return;
                          OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_6,5);
                        }
                      }
                      if (__jsp_taghandler_5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                        return;
                      OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_5,4);
                    }
                  }
                  if (__jsp_taghandler_4.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                    return;
                  OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_4,3);
                }
              }
              if (__jsp_taghandler_2.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
                return;
              OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_2,2);
            }
          } while (__jsp_taghandler_1.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
          out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
        }
        if (__jsp_taghandler_1.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
          return;
        OracleJspRuntime.releaseTagHandler(pageContext,__jsp_taghandler_1,1);
      }

    }
    catch (Throwable e) {
      if (!(e instanceof javax.servlet.jsp.SkipPageException)){
        try {
          if (out != null) out.clear();
        }
        catch (Exception clearException) {
        }
        pageContext.handlePageException(e);
      }
    }
    finally {
      OracleJspRuntime.extraHandlePCFinally(pageContext, true);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
    }

  }
  private static final char __oracle_jsp_text[][]=new char[1][];
  static {
    try {
    __oracle_jsp_text[0] = 
    "\n                  Oracle Corporation\n                ".toCharArray();
    }
    catch (Throwable th) {
      System.err.println(th);
    }
}
}
